Bug 68868 - Set default config file for mail/razor-agents
Summary: Set default config file for mail/razor-agents
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Yen-Ming Lee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-09 16:40 UTC by rob
Modified: 2004-07-11 06:38 UTC (History)
1 user (show)

See Also:


Attachments
razor-agents.patch (1.18 KB, patch)
2004-07-09 16:40 UTC, rob
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rob 2004-07-09 16:40:18 UTC
Set default config file for mail/razor-agents
The default place to look for the config file was in /etc/razor,
this patch changes that to ${PREFIX}/etc and installs a config file
in that location.

Fix: New files:	files/razor-agent.conf
Comment 1 Yen-Ming Lee freebsd_committer 2004-07-09 18:31:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->leeym

I will handle this PR.
Comment 2 Yen-Ming Lee freebsd_committer 2004-07-10 21:37:19 UTC
In most cases, the values in system-wide config file will be overwrote
by the values in user-specified config file.

However, unlike other programs, Razor only read *ONLY ONE* config file:

- if ~/.razor/razor-agent.conf exists, use it,
  otherwise use <razorhome>/razor-agent.conf

- write the attributes back into razor-agent.conf if it's writable.

if we install the default config file, the user-specified config file
will not be created automatically.

Try "razor-admin -d -create" for the following 2 cases (by non-root user),
and you will see the difference between them.

- with <razorhome>/razor-agent.conf and ~/.razor/razor-agent.conf
  - only ~/.razor/razor-agent.conf will be read.
  - the attributes will be wrote back into ~/.razor/razor-agent.conf

- with <razorhome>/razor-agent.conf buf without ~/.razor/razor-agent.conf
  - only <razorhome>/razor-agent.conf will be read.
  - the ~/.razor/razor-agent.conf will not be create.
  - since <razorhome>/razor-agent.conf isn't writable, it keeps intact.
  - if a user want to have his own settings, he need to copy
      <razorhome>/razor-agent.conf to ~/.razor/ and edit it by himself.

So, I agree to update <global_razorhome> from "/etc/razor" to "${PREFIX}/etc",
but I prefer not to install the default config file.

any suggestions?

regards,
-- 
Yen-Ming Lee [utf7:+Z05fZWYO] | KeyID:0x5EB52E51 | Taipei, Taiwan
Comment 3 Yen-Ming Lee freebsd_committer 2004-07-11 06:38:51 UTC
State Changed
From-To: open->closed

Committed, thanks.